#!python
from numpy import pi, sin, cos, arcsin
import fileinput
    

def distance_between(point1, point2):
    """
    Return distance in meters between two GPS point
    distance is ground distance !
    """
     
    # Earth diameter
    R=6378000
    dlat, dlon = point1
    slat, slon = point2
    
    # Radian rules
    dlon = dlon*2*pi/360
    dlat = dlat*2*pi/360
    slat = slat*2*pi/360
    slon = slon*2*pi/360
    
    # Distance...
    d = R * (pi/2 - arcsin(sin(dlat) * sin(slat) + cos(dlon - slon) \
                           * cos(dlat) * cos(slat)))
    return d

def extract(line):
    """
    Decoupe une ligne sous la forme :
    T	8.171710000	77.415120000	55.9
    """
    try:
        lat, lon, alt = line.strip().split()[1:4]
    except:
        print(line)
        raise
    return float(lat), float(lon), float(alt)



tot = -1
plat, plon, palt = (0, 0, 0)
for cline in fileinput.input():
    if cline[0] == 'T':
        if tot == -1:
            plat, plon, palt = extract(cline)
            print('{0} {1}'.format(0, palt))
            tot = 0
        else:
            clat, clon, calt = extract(cline)
            d = distance_between((plat, plon), (clat, clon))/1000
            tot += d
            print('{0} {1}'.format(tot, palt))
            plat, plon, palt = clat, clon, calt




